package com.wasu.cs.model;

import java.util.List;

/**
 * @Description: 新版首页点播屏数据解析类
 *
 * @Author: Danxingxi
 *
 * @CreateDate: 2016/9/27 16:06
 */
public class HomeDemandModel {

    private int code;

    private DataEntity data;
    private String message;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataEntity getData() {
        return data;
    }

    public void setData(DataEntity data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static class DataEntity {
        private BannerEntity banner;
        private BodyEntity body;
        private DetailEntity detail;

        public BannerEntity getBanner() {
            return banner;
        }

        public void setBanner(BannerEntity banner) {
            this.banner = banner;
        }

        public BodyEntity getBody() {
            return body;
        }

        public void setBody(BodyEntity body) {
            this.body = body;
        }

        public DetailEntity getDetail() {
            return detail;
        }

        public void setDetail(DetailEntity detail) {
            this.detail = detail;
        }

        public static class BannerEntity {

            private List<ListEntity> list;

            public List<ListEntity> getList() {
                return list;
            }

            public void setList(List<ListEntity> list) {
                this.list = list;
            }

            public static class ListEntity {
                private String csJsonUrl;
                private String csLayout;
                private String jsonUrl;
                private String layout;
                private int linkType;
                private String picUrl;
                private String summary;
                private String title;

                public String getCsJsonUrl() {
                    return csJsonUrl;
                }

                public void setCsJsonUrl(String csJsonUrl) {
                    this.csJsonUrl = csJsonUrl;
                }

                public String getCsLayout() {
                    return csLayout;
                }

                public void setCsLayout(String csLayout) {
                    this.csLayout = csLayout;
                }

                public String getJsonUrl() {
                    return jsonUrl;
                }

                public void setJsonUrl(String jsonUrl) {
                    this.jsonUrl = jsonUrl;
                }

                public String getLayout() {
                    return layout;
                }

                public void setLayout(String layout) {
                    this.layout = layout;
                }

                public int getLinkType() {
                    return linkType;
                }

                public void setLinkType(int linkType) {
                    this.linkType = linkType;
                }

                public String getPicUrl() {
                    return picUrl;
                }

                public void setPicUrl(String picUrl) {
                    this.picUrl = picUrl;
                }

                public String getSummary() {
                    return summary;
                }

                public void setSummary(String summary) {
                    this.summary = summary;
                }

                public String getTitle() {
                    return title;
                }

                public void setTitle(String title) {
                    this.title = title;
                }
            }
        }

        public static class BodyEntity {

            private List<ListEntity> list;

            public List<ListEntity> getList() {
                return list;
            }

            public void setList(List<ListEntity> list) {
                this.list = list;
            }

            public static class ListEntity {
                private String jsonUrl;
                private String layout;
                private int linkType;
                private String picUrl;
                private String title;

                public String getJsonUrl() {
                    return jsonUrl;
                }

                public void setJsonUrl(String jsonUrl) {
                    this.jsonUrl = jsonUrl;
                }

                public String getLayout() {
                    return layout;
                }

                public void setLayout(String layout) {
                    this.layout = layout;
                }

                public int getLinkType() {
                    return linkType;
                }

                public void setLinkType(int linkType) {
                    this.linkType = linkType;
                }

                public String getPicUrl() {
                    return picUrl;
                }

                public void setPicUrl(String picUrl) {
                    this.picUrl = picUrl;
                }

                public String getTitle() {
                    return title;
                }

                public void setTitle(String title) {
                    this.title = title;
                }
            }
        }

        public static class DetailEntity {
            private String bgPicUrl;

            public String getBgPicUrl() {
                return bgPicUrl;
            }

            public void setBgPicUrl(String bgPicUrl) {
                this.bgPicUrl = bgPicUrl;
            }
        }
    }
}
